Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVolumeRayCastIsosurfaceFunction Class Reference

`#include <vtkVolumeRayCastIsosurfaceFunction.h>`

Inheritance diagram for vtkVolumeRayCastIsosurfaceFunction:

[legend]
Collaboration diagram for vtkVolumeRayCastIsosurfaceFunction:

[legend]
List of all members.

## Detailed Description

An isosurface ray caster for volumes.

Date:
  2002/10/28 21:33:01

Revision:
  1.27

vtkVolumeRayCastIsosurfaceFunction is a volume ray cast function that intersects a ray with an analytic isosurface in a scalar field. The color and shading parameters are defined in the vtkVolumeProperty of the vtkVolume, as well as the interpolation type to use when locating the surface (either a nearest neighbor approach or a tri-linear interpolation approach)

See also:
  vtkVolumeRayCastFunction vtkVolumeRayCastMapper vtkVolumeProperty vtkVolumeRayCastCompositeFunction vtkVolumeRayCastMIPFunction vtkVolume vtkVolumeProperty

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (57%)
  - Avila, Lisa (36%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkVolumeRayCastIsosurfaceFunction.h)`
  - .`cxx` (`/Rendering/vtkVolumeRayCastIsosurfaceFunction.cxx)`

Tests:
  vtkVolumeRayCastIsosurfaceFunction (Tests)

Definition at line 55 of file vtkVolumeRayCastIsosurfaceFunction.h.

## Public Types
typedef vtkVolumeRayCastFunction | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
float | GetZeroOpacityThreshold (vtkVolume *vol)
void | CastRay (vtkVolumeRayCastDynamicInfo *dynamicInfo, vtkVolumeRayCastStaticInfo *staticInfo)
virtual void | SetIsoValue (float)
virtual float | GetIsoValue ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkVolumeRayCastIsosurfaceFunction * | SafeDownCast (vtkObject *o)
vtkVolumeRayCastIsosurfaceFunction * | New ()
## Public Attributes
float | IsoValue
float | Color [3]
## Protected Methods
| vtkVolumeRayCastIsosurfaceFunction ()
| ~vtkVolumeRayCastIsosurfaceFunction ()
void | SpecificFunctionInitialize (vtkRenderer *ren, vtkVolume *vol, vtkVolumeRayCastStaticInfo *staticInfo, vtkVolumeRayCastMapper *mapper)

## Member Typedef Documentation

typedef vtkVolumeRayCastFunction vtkVolumeRayCastIsosurfaceFunction::Superclass

| Reimplemented from vtkVolumeRayCastFunction. Definition at line 58 of file vtkVolumeRayCastIsosurfaceFunction.h.

## Constructor & Destructor Documentation

vtkVolumeRayCastIsosurfaceFunction::vtkVolumeRayCastIsosurfaceFunction | ( |  | ) | `[protected]`

vtkVolumeRayCastIsosurfaceFunction::~vtkVolumeRayCastIsosurfaceFunction | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkVolumeRayCastIsosurfaceFunction::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkVolumeRayCastFunction.

int vtkVolumeRayCastIsosurfaceFunction::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeRayCastFunction.

virtual int vtkVolumeRayCastIsosurfaceFunction::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeRayCastFunction.

vtkVolumeRayCastIsosurfaceFunction* vtkVolumeRayCastIsosurfaceFunction::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkVolumeRayCastFunction.

void vtkVolumeRayCastIsosurfaceFunction::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkVolumeRayCastFunction.

vtkVolumeRayCastIsosurfaceFunction* vtkVolumeRayCastIsosurfaceFunction::New | ( |  | ) | `[static]`

| Construct a new vtkVolumeRayCastIsosurfaceFunction Reimplemented from vtkObject.

float vtkVolumeRayCastIsosurfaceFunction::GetZeroOpacityThreshold | ( | vtkVolume * | vol | ) | `[virtual]`

| Get the scalar value below which all scalar values have 0 opacity Implements vtkVolumeRayCastFunction.

virtual void vtkVolumeRayCastIsosurfaceFunction::SetIsoValue | ( | float |  | ) | `[virtual]`

| Set/Get the value of IsoValue.

virtual float vtkVolumeRayCastIsosurfaceFunction::GetIsoValue | ( |  | ) | `[virtual]`

| Set/Get the value of IsoValue.

void vtkVolumeRayCastIsosurfaceFunction::CastRay | ( | vtkVolumeRayCastDynamicInfo * | dynamicInfo,
|  | vtkVolumeRayCastStaticInfo * | staticInfo
| ) | `[virtual]`

| Implements vtkVolumeRayCastFunction.

void vtkVolumeRayCastIsosurfaceFunction::SpecificFunctionInitialize | ( | vtkRenderer * | ren,
|  | vtkVolume * | vol,
|  | vtkVolumeRayCastStaticInfo * | staticInfo,
|  | vtkVolumeRayCastMapper * | mapper
| ) | `[protected, virtual]`

| This method gives the subclass a chance to do any special initialization that it may need to do BTX Implements vtkVolumeRayCastFunction.

## Member Data Documentation

float vtkVolumeRayCastIsosurfaceFunction::IsoValue

| This is the isovalue at which to view a surface Definition at line 75 of file vtkVolumeRayCastIsosurfaceFunction.h.

float vtkVolumeRayCastIsosurfaceFunction::Color[3]

| These variables are filled in by SpecificFunctionInitialize Definition at line 78 of file vtkVolumeRayCastIsosurfaceFunction.h.

The documentation for this class was generated from the following file:

- Rendering/vtkVolumeRayCastIsosurfaceFunction.h